.k-scheduler-footer,.k-scheduler-toolbar {
    border-style: solid
}

.k-scheduler-footer,.k-scheduler-toolbar {
    line-height: 28px;
    padding: 6px
}

.k-scheduler-toolbar {
    position: relative;
    border-width: 0 0 1px
}

.k-edit-field.k-scheduler-toolbar {
    border-width: 0;
    padding-top: 0;
    padding-left: 0;
    padding-right: 0
}

.k-scheduler-header {
    text-align: center
}

.k-scheduler-header .k-link {
    color: inherit
}

.k-scheduler-footer {
    border-width: 1px 0 0
}

.k-scheduler-toolbar>ul {
    float: right
}

.k-scheduler-toolbar>ul:first-child {
    float: left
}

.k-scheduler-toolbar>.k-scheduler-tools {
    float: left;
    margin-bottom: .5em
}

.k-scheduler-tools+.k-scheduler-navigation {
    float: left;
    clear: left
}

.k-scheduler-footer>ul>li,.k-scheduler-toolbar>ul>li {
    display: inline-block;
    border-style: solid;
    border-width: 1px 1px 1px 0
}

.k-scheduler .k-scheduler-toolbar .k-nav-current,.k-scheduler .k-scheduler-toolbar .k-scheduler-tools>li {
    border-width: 0
}

.k-scheduler-toolbar>ul.k-scheduler-views>li:first-child+li,.k-scheduler-toolbar>ul>li:first-child {
    border-left-width: 1px
}

.k-scheduler div.k-scheduler-footer ul li {
    margin-right: .6em;
    border-width: 1px
}

.k-scheduler-footer .k-link,.k-scheduler-toolbar .k-link {
    display: inline-block;
    padding: 0 1.1em
}

.k-scheduler-toolbar .k-nav-next .k-link,.k-scheduler-toolbar .k-nav-prev .k-link {
    padding-left: .6em;
    padding-right: .6em
}

.k-scheduler-toolbar .k-nav-current .k-link {
    padding: 0
}

.k-scheduler-toolbar .k-nav-current {
    margin: 0 1.1em
}

.k-scheduler .k-nav-current>.k-state-active,.k-scheduler div.k-scheduler-toolbar>ul>li.k-nav-current {
    background: 0 0
}

.k-scheduler-footer .k-icon,.k-scheduler-toolbar .k-i-calendar {
    margin: -2px 6px 0 0
}
.k-draghandle.k-state-selected:hover, .k-ghost-splitbar-horizontal, .k-ghost-splitbar-vertical, .k-list>.k-state-highlight, .k-list>.k-state-selected, .k-marquee-color, .k-panel>.k-state-selected, .k-scheduler .k-scheduler-toolbar .k-state-selected, .k-scheduler .k-today.k-state-selected, .k-state-selected, .k-state-selected:link, .k-state-selected:visited, .k-tool.k-state-selected {
    color: #fff;
    background-color: #f35800;
    border-color: #f85a00;
}

.k-autocomplete, .k-block, .k-button-group .k-tool, .k-content, .k-dropdown-wrap, .k-dropzone-active, .k-editable-area, .k-editor-dialog .k-tabstrip-items, .k-filter-row>th, .k-footer-template td, .k-grid td, .k-grid td.k-state-selected, .k-grid-content-locked, .k-grid-footer, .k-grid-footer-locked, .k-grid-footer-wrap, .k-grid-header, .k-grid-header-locked, .k-grid-header-wrap, .k-group, .k-group-footer td, .k-grouping-header, .k-grouping-header .k-group-indicator, .k-header, .k-input, .k-pager-refresh, .k-pager-wrap, .k-pager-wrap .k-link, .k-panel>.k-item>.k-link, .k-panelbar .k-content, .k-panelbar .k-panel, .k-panelbar>.k-item>.k-link, .k-popup.k-align .k-list .k-item:last-child, .k-separator, .k-slider-track, .k-splitbar, .k-state-default, .k-state-default .k-select, .k-state-disabled, .k-textbox, .k-textbox>input, .k-tiles, .k-toolbar, .k-tooltip, .k-treemap-tile, .k-upload-files, .k-widget {
    border-color: #d5d5d5;
}

.k-autocomplete, .k-draghandle, .k-dropdown-wrap, .k-grid-header, .k-grouping-header, .k-header, .k-numeric-wrap, .k-pager-wrap, .k-panelbar .k-tabstrip-items .k-item, .k-picker-wrap, .k-progressbar, .k-state-highlight, .k-tabstrip-items .k-item, .k-textbox, .k-toolbar {
    background-image: url(textures/highlight.png);
    background-image: none, linear-gradient(to bottom, rgba(255, 255, 255, .25) 0, rgba(255, 255, 255, 0) 100%);
    background-position: 50% 50%;
    background-color: #eae8e8;
}
.k-pane-wrapper .k-pane .k-scheduler-mobile .k-scheduler-toolbar .k-scheduler-navigation,.k-pane-wrapper .k-pane .k-scheduler-mobile .k-scheduler-toolbar .k-scheduler-tools>li {
    background-color: inherit
}

.k-column-menu .k-state-active .k-sprite,.k-column-menu .k-state-hover .k-sprite,.k-icon:hover,.k-pager-numbers .k-current-page .k-link:hover:after,.k-scheduler-toolbar>ul.k-scheduler-views>li.k-current-view.k-state-hover>.k-link:after,.k-state-focused .k-icon,.k-state-hover .k-icon,.k-state-selected .k-icon {
    opacity: 1
}

.k-column-menu .k-sprite,.k-pager-numbers .k-current-page .k-link:after,.k-scheduler-toolbar>ul.k-scheduler-views>li.k-current-view>.k-link:after,.k-state-disabled .k-icon {
    opacity: .9
}

.k-draghandle.k-state-selected:hover,.k-ghost-splitbar-horizontal,.k-ghost-splitbar-vertical,.k-list>.k-state-highlight,.k-list>.k-state-selected,.k-marquee-color,.k-panel>.k-state-selected,.k-scheduler .k-scheduler-toolbar .k-state-selected,.k-scheduler .k-today.k-state-selected,.k-state-selected,.k-state-selected:link,.k-state-selected:visited,.k-tool.k-state-selected {
    color: #fff;
    background-color: #f35800;
    border-color: #f85a00
}

.k-scheduler-toolbar>ul li:first-child,.k-scheduler-toolbar>ul li:first-child .k-link,.k-scheduler-toolbar>ul.k-scheduler-views li:first-child+li,.k-scheduler-toolbar>ul.k-scheduler-views li:first-child+li .k-link {
    border-radius: 4px 0 0 4px
}


.k-rtl .k-scheduler-toolbar>ul li:first-child,.k-rtl .k-scheduler-toolbar>ul li:first-child .k-link,.k-rtl .k-scheduler-toolbar>ul.k-scheduler-views li:first-child+li,.k-rtl .k-scheduler-toolbar>ul.k-scheduler-views li:first-child+li .k-link {
    border-radius: 0 4px 4px 0
}


.k-scheduler-toolbar .k-nav-next,.k-scheduler-toolbar .k-nav-next .k-link,.k-scheduler-toolbar ul+ul li:last-child,.k-scheduler-toolbar ul+ul li:last-child .k-link {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px
}

.k-rtl .k-scheduler-toolbar .k-nav-next,.k-rtl .k-scheduler-toolbar .k-nav-next .k-link,.k-rtl .k-scheduler-toolbar ul+ul li:last-child,.k-rtl .k-scheduler-toolbar ul+ul li:last-child .k-link {
    border-radius: 4px 0 0 4px
}
.k-button {
    margin: 0;
    padding: 4px 8px;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    background-repeat: repeat-x;
    background-position: 0 center;
    font: inherit;
    line-height: 1.42857143;
    text-align: center;
    text-decoration: none;
    display: -ms-inline-flexbox;
    display: inline-flex;
    overflow: hidden;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    outline: 0;
    -webkit-appearance: none;
    position: relative;
}
.k-button {
    border-radius: 4px;
    border-color: #bbb;
    color: #2e2e2e;
    background-color: #e9e9e9;
    background-position: 50% 50%;
    background-image: url(textures/highlight.png);
    background-image: none, linear-gradient(to bottom, rgba(255, 255, 255, .25) 0, rgba(255, 255, 255, 0) 100%);
}


.k-filter-row th,.k-grid-header th.k-header {
    overflow: hidden;
    border-style: solid;
    border-width: 0 0 1px 1px;
    padding: .5em .6em .4em .6em;
    font-weight: 400;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-align: left
}

.k-grid-header th.k-header {
    vertical-align: bottom
}